### Enumeration

# Gio IOStreamSpliceFlags

since: 2.28

#### Declaration

    flags Gio.IOStreamSpliceFlags

#### Description

GIOStreamSpliceFlags determine how streams should be spliced.

Available since: 2.28

#### Members

`G_IO_STREAM_SPLICE_NONE`

  Do not close either stream.

  - Value: `0`
  - Available since: 2.28
`G_IO_STREAM_SPLICE_CLOSE_STREAM1`

  Close the first stream after the splice.

  - Value: `1`
  - Available since: 2.28
`G_IO_STREAM_SPLICE_CLOSE_STREAM2`

  Close the second stream after the splice.

  - Value: `2`
  - Available since: 2.28
`G_IO_STREAM_SPLICE_WAIT_FOR_BOTH`

  Wait for both splice operations to finish before calling the callback.

  - Value: `4`
  - Available since: 2.28